#pragma once

using namespace System;

namespace lkfxdok {
	namespace c {
		public ref class LKFMetaData 
		{
		
		internal:
			void* _ptr;
			int _modelljahr;
			String^ _path;
			String^ _name;

		public:
			LKFMetaData(int model, String^ path, String^ name);
			~LKFMetaData();
			!LKFMetaData();

			property String^ Path {
				String^ get(void);
			}

			property String^ Name {
				String^ get(void);
			}

			property int Modelljahr {
				int get(void);
			}
		};
	}
}

